## portfolio-filemanager 0.9.8

=== debian/changelog ===
portfolio-filemanager (0.9.8-1) experimental; urgency=medium

  * New upstream version 0.9.8

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 04 Feb 2021 13:18:27 +0000

portfolio-filemanager (0.9.4-1) experimental; urgency=medium

  * Initial release (Closes: #977855)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 12 Jan 2021 15:51:27 +0000

## portfolio-filemanager 1.0.1

=== tests/requirements.txt ===
black
pyflakes
pytest
pytest-timeout
PyGObject

## portfolio-filemanager 0.9.10

=== debian/changelog ===
portfolio-filemanager (0.9.10-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Jul 2021 15:21:37 -0400

portfolio-filemanager (0.9.10-1) experimental; urgency=medium

  * New upstream version 0.9.10

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 03 Mar 2021 16:40:39 +0000

=== debian/control ===
Source: portfolio-filemanager
Section: gnome
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>,
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 dh-python,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libhandy-1-dev,
 meson,
 python-gi-dev,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/tchx84/Portfolio
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager.git

Package: portfolio-filemanager
Architecture: all
Depends:
 gir1.2-handy-1,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Minimalist file manager for Linux mobile devices
 PortFolio is a file manager which is designed for Linux mobile devices.
 It uses the libhandy toolkit to provide a mobile friendly, GTK based,
 user interface.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## portfolio-filemanager 0.9.13

=== debian/changelog ===
portfolio-filemanager (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 22 Feb 2022 16:53:55 +0000

portfolio-filemanager (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12
  * Upload to unstable (Closes: #981934)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 16 Aug 2021 20:46:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: portfolio-filemanager
 Section: gnome
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:

## portfolio-filemanager 0.9.14

=== debian/changelog ===
portfolio-filemanager (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * d/control: Bump Standard-Versions to 4.6.0 (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 25 Mar 2022 20:23:17 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python-gi-dev,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/tchx84/Portfolio
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager

## portfolio-filemanager 1.0.0

=== debian/changelog ===
portfolio-filemanager (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/control: update dependencies for GTK4-based release.
    The new release switched to GTK4 and libadwaita instead of GTK3 and
    libhandy. Update the (build-)dependencies accordingly.
  * d/copyright: update for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 04 Sep 2023 14:11:20 +0200

portfolio-filemanager (0.9.15-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:30:35 +0200

portfolio-filemanager (0.9.15-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update lintian override info format in
    d/portfolio-filemanager.lintian-overrides on line 2.

  [ Arnaud Ferraris ]
  * New upstream version 0.9.15
  * d/control: bump Standards-Version and add myself as an uploader
  * d/lintian-overrides: update for new syntax and override false positive
    The D-Bus name used by portfolio is a generic one, potentially also
    implemented by other software. Therefore the corresponding service file
    can't use the D-Bus name, hence overriding this lintian tag.

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 14:02:02 +0200

## portfolio-filemanager 1.0.1

=== debian/changelog ===
portfolio-filemanager (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * d/gbp.conf: use `debian/latest` as default branch.
    Also add a few useful additional config for `dch`.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 04 Mar 2024 11:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,18 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
+ Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends:
  appstream-util,
  debhelper-compat (= 13),
  dh-python,
  libgirepository1.0-dev,
- libglib2.0-dev,
- libgtk-3-dev,
- libhandy-1-dev,
+ libadwaita-1-dev,
  meson,
  python-gi-dev,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tchx84/Portfolio
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager
@@ -25,7 +24,7 @@
 Package: portfolio-filemanager
 Architecture: all
 Depends:
- gir1.2-handy-1,
+ gir1.2-adw-1,
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},

## portfolio-filemanager 1.0.2

=== meson_options.txt ===
option('service_filename', type : 'string', value : 'dev.tchx84.Portfolio.service')
option('run_service_tests', type : 'boolean', value : true)

=== debian/changelog ===
portfolio-filemanager (1.0.2-2) unstable; urgency=medium

  * d/salsa-ci: re-enable BLHC job
  * d/watch: convert to version 5
  * d/control: drop libgirepository1.0-dev build dependency.
    This one shouldn't be used anymore as it isn't multiarch-friendly.
    Instead, use a recent `gobject-introspection`.
    While at it, drop the now-obsolete `Rules-Requires-Root` and bump
    `Standards-Version` as no other change is needed. (Closes: #1118912)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Oct 2025 13:10:10 +0100

portfolio-filemanager (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/gbp.conf: add useful defaults
  * d/control: update build dependency.
    Upstream no longer uses `appstream-util` for metainfo validation, but
    now relies on `appstreamcli`, provided by the `appstream` package.
    While at it, update Standards-Version as no change is needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 03 Mar 2025 22:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
  Henry-Nicolas Tourneur <debian@nilux.be>,
  Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends:
- appstream-util,
+ appstream,
  debhelper-compat (= 13),
  dh-python,
- libgirepository1.0-dev,
+ gobject-introspection (>= 1.80),
  libadwaita-1-dev,
  meson,
  python-gi-dev,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/tchx84/Portfolio
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/portfolio-filemanager.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/dev.tchx84.Portfolio --help
Restrictions: allow-stderr superficial
Depends:
 gir1.2-handy-1,
 python3-gi,
 xauth,
 xvfb,
 @,

=== debian/watch ===
Version: 5

Template: Github
Owner: tchx84
Project: Portfolio
